# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Ordinary Least Squares
#'
#' Fits the standard OLS model.
#'
#' @param y (n x 1) Numeric vector.
#' @param X (n x p) Numeric matrix.
#'
#' @return List containing the following:
#' \itemize{
#' \item{Beta}{Regression coefficient.}
#' \item{V}{Outcome variance.}
#' \item{SE}{Standard errors.}
#' \item{Z}{Z-scores.}
#' }
#' @export
OLS <- function(y, X) {
    .Call(`_AllelicSeries_OLS`, y, X)
}

#' Calculate Residual Variance
#'
#' @param y (n x 1) Numeric phenotype vector.
#' @param X (n x q) Numeric covariate matrix.
#'
#' @return Scalar residual variance.
ResidVar <- function(y, X) {
    .Call(`_AllelicSeries_ResidVar`, y, X)
}

#' Calculate Score Statistic
#'
#' @param y (n x 1) Numeric phenotype vector.
#' @param G (n x p) Numeric genotype matrix.
#' @param X (n x q) Numeric covariate matrix.
#' @param v Scalar residual variance.
#'
#' @return Scalar score statistic.
Score <- function(y, G, X, v) {
    .Call(`_AllelicSeries_Score`, y, G, X, v)
}

